Package com.mckoi.database

## Interface ExpressionPreparer

    public interface ExpressionPreparer

An interface used to prepare an Expression object. This interface is used to mutate an element of an Expression from one form to another. For example, we may use this to translate a StatementTree object to a Statement object.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canPrepare​(java.lang.Object element)` Returns true if this preparer will prepare the given object in an expression.
`java.lang.Object` `prepare​(java.lang.Object element)` Returns the new translated object to be mutated from the given element.

### Method Detail

#### canPrepare

    boolean canPrepare​(java.lang.Object element)

Returns true if this preparer will prepare the given object in an expression.

#### prepare

    java.lang.Object prepare​(java.lang.Object element)
                      throws DatabaseException

Returns the new translated object to be mutated from the given element.

Throws:
  `DatabaseException`